package com.fuzamei.service;

import java.util.List;

import com.fuzamei.entity.Param;
import com.fuzamei.entity.UserDetail;

public interface UserAuthoricationService {
	UserDetail queryUserDetail(Integer userId,String... roleNames);

	UserDetail queryUserAuthority(Integer userId, String... roleNames);

	List<UserDetail> showAllCarriersUnderSupplier(Param param);
}
